<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.campaign-workspace.automation.execution-environments-summary.dialog-title'
  "
  [dialogId]="data.id"
  [attr.data-test-dialog-id]="'environments-statuses-summary'"
  class="m-b-10"
>
  <sqtm-core-dialog-body>
    @for (project of projects; track project) {
      <sqtm-app-environments-statuses-summary-grid
        [project]="project"
        [attr.data-test-element-id]="
          'summary-grid-project-' + project.projectId
        "
      >
      </sqtm-app-environments-statuses-summary-grid>
    }
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-top: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
